package com.muzhi.mt.controller;

import com.muzhi.mt.service.MiandengService;
import com.muzhi.mt.service.OAhetongService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author ZhangKan
 * @Data 15:03
 */

@Api(description = "合同审批单附件增加水印")
@RestController
@RequestMapping("/OAhetong")
public class OAhetongController {

    @Autowired
    private OAhetongService oAhetongService;

    //正式合同审批单（茅台架构）
    @ApiOperation(value = "正式合同审批单附件增加水印")
    @PostMapping("addOAhetong")
    public String OAhetong(String processid){

        String s = oAhetongService.OAhetong(processid);
        return s;
    }

    //正式合同审批单（茅台架构）
    @ApiOperation(value = "测试合同审批单增加水印")
    @PostMapping("addOAhetongTEST")
    public String OAhetongTEST(String processid){

        String s = oAhetongService.OAhetongTEST(processid);
        return s;
    }
}
